--
--  WikipediaAppDelegate.applescript
--  Wikipedia
--
--  Created by Heiko on 11.10.10.
--  Copyright 2010 Heiko Kretschmer. All rights reserved.
--

script WikipediaAppDelegate
	property parent : class "NSObject"
	property ourWebView : missing value (* This is an outlet to out WebView which we created in Interface Builder *)
	
	on applicationWillFinishLaunching_(aNotification)
		-- Insert code here to initialize your application before any files are opened
		
		log "Setting the URL..."
		
		tell ourWebView to setMainFrameURL_("http://www.wikipedia.org")
		
		log "Setting the URL...DONE"
		
	end applicationWillFinishLaunching_
	
	on applicationShouldTerminate_(sender)
		-- Insert code here to do any housekeeping before your application quits 
		return current application's NSTerminateNow
	end applicationShouldTerminate_
	
end script